<?php

namespace Figmax\Slider\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SliderTransformer extends TransformerAbstract
{
    public function transform(\Figmax\Slider\Models\Slider $slider)
    {
        return [
            'id'                => $slider->getRouteKey(),
            'key'               => [
                'public'    => $slider->getPublicKey(),
                'route'     => $slider->getRouteKey(),
            ], 
            'id'                => $slider->id,
            'title'             => $slider->title,
            'type'              => $slider->type,
            'images'            => $slider->images,
            'url'               => $slider->url,
            'user_id'           => $slider->user_id,
            'created_at'        => $slider->created_at,
            'updated_at'        => $slider->updated_at,
            'deleted_at'        => $slider->deleted_at,
            'status'            => $slider->status,
            'url'               => [
                'public'    => trans_url('slider/'.$slider->getPublicKey()),
                'user'      => guard_url('slider/slider/'.$slider->getRouteKey()),
            ], 
            'status'            => trans('app.'.$slider->status),
            'created_at'        => format_date($slider->created_at),
            'updated_at'        => format_date($slider->updated_at),
        ];
    }
}